Index: trunk/source/visualization/management/include/G4VisExecutive.hh
===================================================================
--- trunk/source/visualization/management/include/G4VisExecutive.hh	(revision 1227)
+++ trunk/source/visualization/management/include/G4VisExecutive.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisExecutive.hh,v 1.8 2009/03/14 11:43:42 allison Exp $
+// $Id: G4VisExecutive.hh,v 1.9 2009/11/17 15:34:06 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -69,5 +69,4 @@
 //
 // Notes:
-
 // (a) After instantiation, all references to this object should be as
 //     a G4VisManager.  The functions RegisterGraphicsSystems and
Index: trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 1227)
+++ trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisCommandsSceneAdd.cc,v 1.77 2009/11/04 13:15:02 allison Exp $
+// $Id: G4VisCommandsSceneAdd.cc,v 1.78 2009/11/22 14:02:30 allison Exp $
 // GEANT4 tag $Name:  $
 // /vis/scene commands - John Allison  9th August 1998
@@ -66,4 +66,5 @@
 #include "G4PropagatorInField.hh"
 #include "G4RichTrajectory.hh"
+#include "G4RichTrajectoryPoint.hh"
 #include "G4AttDef.hh"
 #include "G4ios.hh"
@@ -1415,5 +1416,6 @@
 	"\n\"/vis/modeling/trajectories/create/drawByAttribute\" and"
 	"\n\"/vis/filtering/trajectories/create/attributeFilter\" commands:\n"
-	     << G4RichTrajectory().GetAttDefs();
+	     << G4RichTrajectory().GetAttDefs()
+	     << G4RichTrajectoryPoint().GetAttDefs();
     }
   }
Index: trunk/source/visualization/test/History
===================================================================
--- trunk/source/visualization/test/History	(revision 1227)
+++ trunk/source/visualization/test/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.119 2009/09/29 21:36:38 allison Exp $
+$Id: History,v 1.121 2009/11/06 16:02:33 allison Exp $
 
 History file for visualization/test subdirectory
@@ -5,4 +5,10 @@
 
 $Log: History,v $
+Revision 1.121  2009/11/06 16:02:33  allison
+vistest-V09-02-01
+
+Revision 1.120  2009/11/06 16:01:57  allison
+Use G4UIExecutive in a more refined way.
+
 Revision 1.119  2009/09/29 21:36:38  allison
 vistest-V09-02-00
Index: trunk/source/visualization/test/test19.cc
===================================================================
--- trunk/source/visualization/test/test19.cc	(revision 1227)
+++ trunk/source/visualization/test/test19.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: test19.cc,v 1.31 2009/09/29 21:35:56 allison Exp $
+// $Id: test19.cc,v 1.32 2009/11/06 16:01:57 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -32,6 +32,4 @@
 // Usage: test19 [<session>] [<verbosity>]
 // Without verbosity, verbosity=warnings.
-// Without session, session=new G4UIterminal(), or if G4UI_USE_TCSH is set
-//                  session=new G4UIterminal(new G4UItcsh),
 
 #include <stdio.h>
@@ -82,6 +80,5 @@
 #ifdef G4UI_USE
   // Choose (G)UI.
-  G4UIExecutive* UIexecutive = new G4UIExecutive(argc, argv);
-  G4UImanager::GetUIpointer()->SetSession(UIexecutive->GetSession());  //So that Pause works..
+  G4UIExecutive* ui = new G4UIExecutive(argc, argv);
 #endif
 
@@ -119,11 +116,11 @@
 #endif
 
-  G4UImanager* UI = G4UImanager::GetUIpointer ();
+  G4UImanager* UImanager = G4UImanager::GetUIpointer ();
 #ifdef G4UI_USE_WIN32
   G4cout << "Reading win32.g4m file...." << G4endl;
-  UI -> ApplyCommand ("/control/execute win32.g4m");
+  UImanager -> ApplyCommand ("/control/execute win32.g4m");
 #else
   G4cout << "Reading test19.g4m file...." << G4endl;
-  UI -> ApplyCommand ("/control/execute test19.g4m");
+  UImanager -> ApplyCommand ("/control/execute test19.g4m");
 #endif
 
@@ -135,5 +132,5 @@
 #ifdef G4UI_USE
   // Start an interactive session.
-  UIexecutive -> SessionStart();
+  ui -> SessionStart();
 #endif
 
@@ -148,5 +145,5 @@
   G4cout << "vis_test19: Deleting session..." << G4endl;
 #ifdef G4UI_USE
-  delete UIexecutive;
+  delete ui;
   G4cout << "vis_test19: Session deleted." << G4endl;
 #endif
